ALTER TEXT SEARCH TEMPLATE(7)

NAME
ALTER_TEXT_SEARCH_TEMPLATE - change the definition of a text search template

SYNOPSIS

ALTER TEXT SEARCH TEMPLATE name RENAME TO new_name
ALTER TEXT SEARCH TEMPLATE name SET SCHEMA new_schema

DESCRIPTION

ALTER TEXT SEARCH TEMPLATE changes the definition of a text search template. Currently, the only supported functionality is to change the template's name.

You must be a superuser to use ALTER TEXT SEARCH TEMPLATE.

PARAMETERS

name
    The name (optionally schema-qualified) of an existing text search template.

new_name
    The new name of the text search template.

new_schema
    The new schema for the text search template.

COMPATIBILITY

There is no ALTER TEXT SEARCH TEMPLATE statement in the SQL standard.

SEE ALSO
CREATE TEXT SEARCH TEMPLATE (CREATE_TEXT_SEARCH_TEMPLATE(7)), DROP TEXT SEARCH TEMPLATE (DROP_TEXT_SEARCH_TEMPLATE(7))